package com.ruoyi.wx.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.wx.domain.MrRecordOrder;
import com.ruoyi.wx.dto.req.OrderListReqDTO;
import com.ruoyi.wx.dto.req.UserSignInfo;
import com.ruoyi.wx.service.IMrRecordOrderService;
import com.ruoyi.wx.service.IWxUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("wx/api/")
public class ApiRestController {
    @Autowired
    private IWxUserService wxUserService;

    @Autowired
    private IMrRecordOrderService mrRecordOrderService;

    /**
     * 小程序授权时调用
     */
    @PostMapping("autoLogin")
    public AjaxResult autoLogin(String wxCode) {
        return AjaxResult.success(wxUserService.login(wxCode));
    }

    /**
     * 小程序提交审核时发起
     * 更新用户的基本信息
     */
    @PostMapping("signIn")
    public AjaxResult signIn(@RequestBody UserSignInfo userSignInfo) {
        wxUserService.signIn(userSignInfo);
        return AjaxResult.success();
    }

    /**
     * 获取用户审核状态，并更新用户资料
     */
    @PostMapping("info")
    public AjaxResult info(@RequestBody UserSignInfo userSignInfo) {
        return AjaxResult.success(wxUserService.info(userSignInfo));
    }

    /**
     * 提交申请
     */
    @PostMapping("order")
    public AjaxResult order(@RequestBody MrRecordOrder order) {
        mrRecordOrderService.createOrder(order);
        return AjaxResult.success();
    }

    /**
     * 查询申请列表
     */
    @PostMapping("orderList")
    public AjaxResult orderList(@RequestBody OrderListReqDTO orderListReqDTO) {
        return AjaxResult.success(mrRecordOrderService.list(orderListReqDTO));
    }
}
