package com.ruoyi.wx.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 病案申请对象 mr_record_order
 * 
 * @author ruoyi
 * @date 2021-02-24
 */
public class MrRecordOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 申请类型：0原件寄回，1电子扫描件 */
    @Excel(name = "申请类型：")
    private Integer type;

    /** 病案号 */
    @Excel(name = "病案号")
    private String mrNumber;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 出院日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出院日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dischargeDate;

    /** 住院次数 */
    @Excel(name = "住院次数")
    private Long times;

    /** 申请人申请人 对应wx_user表id */
    @Excel(name = "申请人")
    private Long applicantId;

    /** 医院名称 */
    @Excel(name = "医院名称")
    private String hospital;

    /** 寄送地址 */
    @Excel(name = "寄送地址")
    private String address;
    @Excel(name = "快递公司")
    private String delivery;
    @Excel(name = "运单号")
    private String trackingNumber;

    /** 下载地址 */
    @Excel(name = "下载地址")
    private String downloadUrl;

    /** 解压密码 */
    @Excel(name = "解压密码")
    private String unzipPwd;

    /** 申请状态 0 申请中 1 已完成 */
    @Excel(name = "申请状态")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setMrNumber(String mrNumber) 
    {
        this.mrNumber = mrNumber;
    }

    public String getMrNumber() 
    {
        return mrNumber;
    }
    public void setPatientName(String patientName) 
    {
        this.patientName = patientName;
    }

    public String getPatientName() 
    {
        return patientName;
    }
    public void setDischargeDate(Date dischargeDate) 
    {
        this.dischargeDate = dischargeDate;
    }

    public Date getDischargeDate() 
    {
        return dischargeDate;
    }
    public void setTimes(Long times) 
    {
        this.times = times;
    }

    public Long getTimes() 
    {
        return times;
    }
    public void setApplicantId(Long applicantId) 
    {
        this.applicantId = applicantId;
    }

    public Long getApplicantId() 
    {
        return applicantId;
    }
    public void setHospital(String hospital) 
    {
        this.hospital = hospital;
    }

    public String getHospital() 
    {
        return hospital;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setDownloadUrl(String downloadUrl) 
    {
        this.downloadUrl = downloadUrl;
    }

    public String getDownloadUrl() 
    {
        return downloadUrl;
    }
    public void setUnzipPwd(String unzipPwd) 
    {
        this.unzipPwd = unzipPwd;
    }

    public String getUnzipPwd() 
    {
        return unzipPwd;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getDelivery() {
        return delivery;
    }

    public void setDelivery(String delivery) {
        this.delivery = delivery;
    }

    public String getTrackingNumber() {
        return trackingNumber;
    }

    public void setTrackingNumber(String trackingNumber) {
        this.trackingNumber = trackingNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("mrNumber", getMrNumber())
            .append("patientName", getPatientName())
            .append("dischargeDate", getDischargeDate())
            .append("times", getTimes())
            .append("applicantId", getApplicantId())
            .append("hospital", getHospital())
            .append("address", getAddress())
            .append("downloadUrl", getDownloadUrl())
            .append("unzipPwd", getUnzipPwd())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
