package com.ruoyi.wx.mapper;

import java.util.List;
import com.ruoyi.wx.domain.WxUser;

/**
 * 微信小程序用户Mapper接口
 * 
 * @author ruoyi
 * @date 2021-02-24
 */
public interface WxUserMapper 
{
    /**
     * 查询微信小程序用户
     * 
     * @param id 微信小程序用户ID
     * @return 微信小程序用户
     */
    public WxUser selectWxUserById(Long id);

    /**
     * 查询微信小程序用户列表
     * 
     * @param wxUser 微信小程序用户
     * @return 微信小程序用户集合
     */
    public List<WxUser> selectWxUserList(WxUser wxUser);

    /**
     * 新增微信小程序用户
     * 
     * @param wxUser 微信小程序用户
     * @return 结果
     */
    public int insertWxUser(WxUser wxUser);

    /**
     * 修改微信小程序用户
     * 
     * @param wxUser 微信小程序用户
     * @return 结果
     */
    public int updateWxUser(WxUser wxUser);

    /**
     * 删除微信小程序用户
     * 
     * @param id 微信小程序用户ID
     * @return 结果
     */
    public int deleteWxUserById(Long id);

    /**
     * 批量删除微信小程序用户
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxUserByIds(String[] ids);

    /**
     * 根据token获取用户信息
     * @param token
     * @return
     */
    WxUser selectWxUserByToken(String token);

    WxUser selectWxUserByOpenid(String openid);
}
