package com.ruoyi.wx.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.wx.domain.MrRecordOrder;
import com.ruoyi.wx.dto.RecordOrderDTO;
import com.ruoyi.wx.dto.req.OrderListReqDTO;

/**
 * 病案申请Service接口
 * 
 * @author ruoyi
 * @date 2021-02-24
 */
public interface IMrRecordOrderService 
{
    /**
     * 查询病案申请
     * 
     * @param id 病案申请ID
     * @return 病案申请
     */
    public MrRecordOrder selectMrRecordOrderById(Long id);

    /**
     * 查询病案申请列表
     * 
     * @param mrRecordOrder 病案申请
     * @return 病案申请集合
     */
    public List<MrRecordOrder> selectMrRecordOrderList(MrRecordOrder mrRecordOrder);

    /**
     * 新增病案申请
     * 
     * @param mrRecordOrder 病案申请
     * @return 结果
     */
    public int insertMrRecordOrder(MrRecordOrder mrRecordOrder);

    /**
     * 修改病案申请
     * 
     * @param mrRecordOrder 病案申请
     * @return 结果
     */
    public int updateMrRecordOrder(MrRecordOrder mrRecordOrder);

    /**
     * 批量删除病案申请
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteMrRecordOrderByIds(String ids);

    /**
     * 删除病案申请信息
     * 
     * @param id 病案申请ID
     * @return 结果
     */
    public int deleteMrRecordOrderById(Long id);

    void createOrder(MrRecordOrder order);

    List<RecordOrderDTO> list(OrderListReqDTO orderListReqDTO);

    boolean sendSms(MrRecordOrder mrRecordOrder);

    Map<String,String> getUrlHeaders(String code);

    String randomCode(String url, String filename);
}
