package com.ruoyi.wx.util;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.WxMaUserService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.bean.WxMaJscode2SessionResult;
import cn.binarywang.wx.miniapp.bean.WxMaKefuMessage;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.ruoyi.common.exception.base.BaseException;
import com.ruoyi.common.utils.CacheUtils;
import me.chanjar.weixin.common.error.WxErrorException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.Objects;

@Component
public class WxServiceUtils {
    @Value("${wx.appid}")
    private String appid;
    @Value("${wx.appsecret}")
    private String appsecret;

    private static WxMaService wxMaService;

    private static final String CACHE_NAME ="wx-accessCache";

    @PostConstruct
    private void init() {
        WxMaDefaultConfigImpl config = new WxMaDefaultConfigImpl();
        config.setAppid(appid);
        config.setSecret(appsecret);
        wxMaService = new WxMaServiceImpl();
        wxMaService.setWxMaConfig(config);
//        config.setAccessToken(getAccessToken());
    }

//    private String getAccessToken(){
//        Object accessToken = CacheUtils.get(CACHE_NAME, "access_token");
//        if(Objects.isNull(accessToken)){
//            try {
//                accessToken=wxMaService.getAccessToken();
//            } catch (WxErrorException e) {
//                return null;
//            }
//            CacheUtils.put(CACHE_NAME,"access_token",accessToken);
//        }
//        return (String)accessToken;
//    }

    public WxMaJscode2SessionResult login(String code) {
        try {
            return wxMaService.getUserService().getSessionInfo(code);
        } catch (WxErrorException e) {
            throw new BaseException("小程序登录失败！" + e.getMessage());
        }
    }

    public WxMaUserService getUserService() {
        return wxMaService.getUserService();
    }

//    public static void sendKefuMsg(String content,String openid){
//        WxMaKefuMessage wxMaKefuMessage=new WxMaKefuMessage();
//        wxMaKefuMessage.setToUser(openid);
//        wxMaKefuMessage.setMsgType("text");
//        WxMaKefuMessage.KfText text=new WxMaKefuMessage.KfText(content);
//        wxMaKefuMessage.setText(text);
//        try {
//            wxMaService.getMsgService().sendKefuMsg(wxMaKefuMessage);
//        } catch (WxErrorException e) {
//            e.printStackTrace();
//        }
//    }
}
